- block:
    # nodes may not query k8s internal DNS: use IPs instead
  - name: "Lookups Service {{ registry_name }} Address"
    async: 30
    k8s_info:
      api_version: v1
      kind: Service
      name: "{{ registry_name }}"
      namespace: "{{ namespace }}"
    no_log: True
    poll: 5
    register: has_registry_svc
  - name: Overrides Docker Registry Fact
    loop: "{{ has_registry_svc.resources | default([]) }}"
    loop_control:
      label: "{{ op.metadata.name }}"
      loop_var: op
    set_fact:
      docker_registry: "{{ op.spec.clusterIP }}:5000"
    when:
    - op is defined
    - op.spec is defined
    - op.spec.clusterIP is defined
  when:
  - k8s_flavor == 'kubernetes'
- block:
  - name: Overrides Docker Registry Fact
    set_fact:
      docker_registry: "{{ registry_name }}.{{ namespace }}.svc:5000"
  when:
  - k8s_flavor == 'openshift'
